Package jakarta.security.auth.message.config

## Interface AuthConfigFactory.RegistrationContext

Enclosing class:
  AuthConfigFactory

    public static interface AuthConfigFactory.RegistrationContext

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAppContext()`
`java.lang.String` `getDescription()`
`java.lang.String` `getMessageLayer()`
`boolean` `isPersistent()`

### Method Detail

#### getMessageLayer

    java.lang.String getMessageLayer()

#### getAppContext

    java.lang.String getAppContext()

#### getDescription

    java.lang.String getDescription()

#### isPersistent

    boolean isPersistent()